/*
** Module   : BrowseColumnInterface.java
** Abstract : Define all BROWSE column widget attributes and methods available via a handle
*             instance.
**
** Copyright (c) 2014, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- ---------------------------------Description---------------------------------
** 001 SVL 20141106 Created initial version.
*/

package com.goldencode.p2j.ui;

import com.goldencode.p2j.util.*;

/**
 * Define all BROWSE column widget attributes and methods which can be accessed via a handle
 * instance.
 */
public interface BrowseColumnInterface
{
   /**
    * Sets the COLUMN-BGCOLOR writable attribute.
    *
    * @param    param
    *           The new value for the COLUMN-BGCOLOR attribute.
    */
   @LegacyAttribute(name = "COLUMN-BGCOLOR", setter = true)
   public void setBgColor(NumberType param);

   /**
    * Sets the COLUMN-BGCOLOR writable attribute.
    *
    * @param    param
    *           The new value for the COLUMN-BGCOLOR attribute.
    */
   @LegacyAttribute(name = "COLUMN-BGCOLOR", setter = true)
   public void setBgColor(Color param);

   /**
    * Gets the COLUMN-BGCOLOR writable attribute.
    *
    * @return   The current value of the COLUMN-BGCOLOR attribute.
    */
   @LegacyAttribute(name = "COLUMN-BGCOLOR")
   public integer getBgColor();

   /**
    * Implements the NEXT-COLUMN attribute getter.<p>
    *
    * @return the widget handle of the next sibling, in physical order, of the current browse
    *         column whether or not the column is visible.
    */
   @LegacyAttribute(name = "NEXT-COLUMN")
   public handle getNextColumn();
}