/*
** Module   : BrowseElement.java
** Abstract : Groups browse widget and its components.
**
** Copyright (c) 2014, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- ----------------------------Description--------------------------------------
** 001 SVL 20141102 Created initial version.
*/

package com.goldencode.p2j.ui;

import com.goldencode.p2j.util.*;

/**
 * Groups browse widget and its components.
 */
public interface BrowseElement
{
   /**
    * Gets the LABEL-BGCOLOR writable attribute.
    *
    * @return   The current value of the LABEL-BGCOLOR attribute.
    */
   @LegacyAttribute(name = "LABEL-BGCOLOR")
   public integer getLabelBgColor();

   /**
    * Sets the LABEL-BGCOLOR writable attribute.
    *
    * @param    bgcolor
    *           The new value for the LABEL-BGCOLOR attribute.
    */
   @LegacyAttribute(name = "LABEL-BGCOLOR", setter = true)
   public void setLabelBgColor(integer bgcolor);

   /**
    * Sets the LABEL-BGCOLOR writable attribute.
    *
    * @param    bgcolor
    *           The new value for the LABEL-BGCOLOR attribute.
    */
   @LegacyAttribute(name = "LABEL-BGCOLOR", setter = true)
   public void setLabelBgColor(int bgcolor);
}
