/*
** Module   : ScrollbarVerticalElement.java
** Abstract : Groups widgets that have SCROLLBAR-VERTICAL attribute.
**
** Copyright (c) 2014, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- ----------------------------Description--------------------------------------
** 001 SVL 20141102 Created initial version.
*/

package com.goldencode.p2j.ui;

import com.goldencode.p2j.util.*;

/**
 * Groups widgets that have SCROLLBAR-VERTICAL attribute.
 */
public interface ScrollbarVerticalElement
{
   /**
    * Set value of the SCROLLBAR-VERTICAL attribute.
    *
    * @param   vertical
    *          The new value for the attribute.
    */
   @LegacyAttribute(name = "SCROLLBAR-VERTICAL", setter = true)
   public void setScrollbarVertical(boolean vertical);

   /**
    * Set value of the SCROLLBAR-VERTICAL attribute.
    *
    * @param   vertical
    *          The new value for the attribute.
    */
   @LegacyAttribute(name = "SCROLLBAR-VERTICAL", setter = true)
   public void setScrollbarVertical(logical vertical);

   /**
    * Get value of the SCROLLBAR-VERTICAL attribute.
    *
    * @return   value of the attribute.
    */
   @LegacyAttribute(name = "SCROLLBAR-VERTICAL")
   public logical isScrollbarVertical();
}
